#ifndef _AGENT_H_
#define _AGENT_H_

#if __GNUG__ >= 2
#  pragma interface
#endif

#include "comm.h"
#include "sensors.h"
#include "baseskills.h"
#include "sender.h"
#include "sensorik.h"
#include "weltmod.h"
#include "advancedskills.h"
#include "entscheidung.h"

extern Weltmodell weltmodell;

class Agent
{
public:
    //Agent (char* host, int port, char* teamname, char* aufstellung);
    //fuer die Cebit
    //Agent (char* configfile);
    Agent (int argc, char* argv []);
    ~Agent ();
	void Run ();

	void InitializeNervs ();
	void NervTransmission (int signo);

private:
	// meine Organe
	Comm* m_cCommunication;
	BaseSkills* m_cSkills;
	Sensors* m_cSense;
	Sender* m_cSender;
	Sensorik* m_cSensorik;
	Weltmodell* m_cWeltmodell;
	AdvancedSkills* m_cAdvSkills;
	Brain* m_cBrain;

	int m_nCounter;
};

#endif
